Package com.arms.api.requirement.reqstate_category.controller

## Class ReqStateCategoryController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<ReqStateCategory,​ReqStateCategoryDTO,​ReqStateCategoryEntity>
  - - com.arms.api.requirement.reqstate_category.controller.ReqStateCategoryController

-     @Controller
      @RequestMapping("/arms/reqStateCategory")
      public class ReqStateCategoryController
      extends TreeAbstractController<ReqStateCategory,​ReqStateCategoryDTO,​ReqStateCategoryEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReqStateCategoryController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `initialize()` |
    `org.springframework.web.servlet.ModelAndView` | `removeNode​(ReqStateCategoryDTO reqStateCategoryDTO, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.http.ResponseEntity<?>` | `완료상태_카테고리_조회()` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReqStateCategoryController

          public ReqStateCategoryController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### 완료상태_카테고리_조회

          @ResponseBody
          @RequestMapping(value="/getClosedCategory.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> 완료상태_카테고리_조회()
                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeNode

          @ResponseBody
          @RequestMapping(value="/removeNode.do",
                          method=DELETE)
          public org.springframework.web.servlet.ModelAndView removeNode​(@Validated(RemoveNode.class)
                                                                         ReqStateCategoryDTO reqStateCategoryDTO,
                                                                         org.springframework.validation.BindingResult bindingResult,
                                                                         org.springframework.ui.ModelMap model)
                                                                  throws java.lang.Exception

      Overrides:
        `removeNode` in class `TreeAbstractController<ReqStateCategory,​ReqStateCategoryDTO,​ReqStateCategoryEntity>`
      Throws:
        `java.lang.Exception`